Project

General

Profile

Bug #38355

Fix license error that prevented some plugins from installing

Added by Aaron St. John about 2 years ago. Updated about 2 years ago.

Status:
Done
Priority:
No priority
Assignee:
Waqar Ahmed
Category:
Middleware
Target version:
Severity:
Medium
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

I tested each plugin to see if they would download. I tried installing from the UI and received this message from bacula, irssi, weechat, and xmrig:


Error: concurrent.futures.process._RemoteTraceback: 
""" 
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 662, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 238, in fetch
    iocage.fetch(**options)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
    props, accept_license=accept, official=official)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 690, in fetch_plugin_index
    props, 0, accept_license)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 118, in fetch_plugin
    self.__fetch_plugin_inform__(conf, num, plugins, accept_license)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 218, in __fetch_plugin_inform__
    silent=self.silent)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 83, in logit
    _callback({"level": level, "message": msg}, exit_on_error)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 56, in callback
    log.log(15, message)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1372, in log
    self._log(level, msg, args, **kwargs)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1442, in _log
    self.handle(record)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1452, in handle
    self.callHandlers(record)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1514, in callHandlers
    hdlr.handle(record)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 863, in handle
    self.emit(record)
  File "/usr/local/lib/freenasOS/__init__.py", line 152, in emit
    _msg)
TypeError: [priority,] message string
""" 

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
    await self.future
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in __run_body
    rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 977, in _call_worker
    job,
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
TypeError: [priority,] message string

bacula.jpg (1.47 MB) bacula.jpg Bonnie Follweiler, 07/27/2018 08:18 AM
22932

Related issues

Related to FreeNAS - Bug #38375: In the New UI I get a Traceback the first time I try to Access the available PluginsClosed
Related to FreeNAS - Bug #37870: Plugins will not install fail with {repo} could not be reached, please check your DNS Closed
Has duplicate FreeNAS - Bug #39188: Can't install pluginsClosed
Has duplicate FreeNAS - Bug #39119: Plugins: Failing to installClosed
Has duplicate FreeNAS - Bug #39892: Plugins install but don't start in FreeNAS-11.2-BETA1Closed

Associated revisions

Revision d7028ed0 (diff)
Added by Waqar Ahmed about 2 years ago

License acceptance for plugins fix This commit forces plugins acceptance from middlewared's end Ticket: #38355

Revision 34294d16 (diff)
Added by Waqar Ahmed about 2 years ago

Default log level fix in FreenasOS Default log level for freenasOS should be debug. This commit makes sure that happens and fixes the old issue where a string was used to set the default debug level which resulted in an exception. Ticket: #38355

Revision 26de571b (diff)
Added by Waqar Ahmed about 2 years ago

License acceptance for plugins fix This commit forces plugins acceptance from middlewared's end Ticket: #38355

History

#1 Updated by Dru Lavigne about 2 years ago

  • Category changed from Middleware to OS
  • Assignee changed from Release Council to Alexander Motin
  • Target version changed from Backlog to 11.2-BETA2

#2 Updated by Dru Lavigne about 2 years ago

  • Category changed from OS to Middleware
  • Assignee changed from Alexander Motin to William Grzybowski

#3 Updated by William Grzybowski about 2 years ago

  • Assignee changed from William Grzybowski to Brandon Schneider

Brandon, not sure whats up with that nor why freenasOS is in the stacktrace, can you investigate, please?

#4 Updated by William Grzybowski about 2 years ago

  • Severity changed from New to Medium

#5 Updated by Dru Lavigne about 2 years ago

  • Related to Bug #38375: In the New UI I get a Traceback the first time I try to Access the available Plugins added

#6 Updated by Brandon Schneider about 2 years ago

  • Status changed from Unscreened to Not Started

#7 Updated by William Grzybowski about 2 years ago

  • Status changed from Not Started to Unscreened
  • Assignee changed from Brandon Schneider to Waqar Ahmed

Waqar, can you please try to reproduce/investigate this one as well?

The traceback is suspicious, might be logging pollution.

#8 Updated by Dru Lavigne about 2 years ago

  • Related to Bug #37870: Plugins will not install fail with {repo} could not be reached, please check your DNS added

#9 Updated by Waqar Ahmed about 2 years ago

  • Status changed from Unscreened to In Progress

#10 Updated by Disk Didler about 2 years ago

I've justed tested this to help out.

Zoneminder, XMRig, weechat, TinyTinyRSS all fail (last 4 in the current list)
Build this morning: FreeNAS-11.2-MASTER-201807220850

Others install fine (transmission, couchpotato, etc)

Could these be impacting?
https://redmine.ixsystems.com/issues/38878#change-247333
https://redmine.ixsystems.com/issues/32442
https://redmine.ixsystems.com/issues/34495
https://redmine.ixsystems.com/issues/36188

Error for Weechat for example:

[priority,] message string
Error: concurrent.futures.process._RemoteTraceback: 
""" 
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 662, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 238, in fetch
    iocage.fetch(**options)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/iocage.py", line 909, in fetch
    props, accept_license=accept, official=official)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 690, in fetch_plugin_index
    props, 0, accept_license)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 118, in fetch_plugin
    self.__fetch_plugin_inform__(conf, num, plugins, accept_license)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_plugin.py", line 218, in __fetch_plugin_inform__
    silent=self.silent)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 83, in logit
    _callback({"level": level, "message": msg}, exit_on_error)
  File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_common.py", line 56, in callback
    log.log(15, message)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1372, in log
    self._log(level, msg, args, **kwargs)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1442, in _log
    self.handle(record)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1452, in handle
    self.callHandlers(record)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 1514, in callHandlers
    hdlr.handle(record)
  File "/usr/local/lib/python3.6/logging/__init__.py", line 863, in handle
    self.emit(record)
  File "/usr/local/lib/freenasOS/__init__.py", line 152, in emit
    _msg)
TypeError: [priority,] message string
""" 

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
    await self.future
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in __run_body
    rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 977, in _call_worker
    job,
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 908, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.6/asyncio/coroutines.py", line 129, in throw
    return self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 902, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
TypeError: [priority,] message string

#11 Updated by Dru Lavigne about 2 years ago

  • Has duplicate Bug #39188: Can't install plugins added

#12 Updated by Dru Lavigne about 2 years ago

  • Has duplicate Bug #39119: Plugins: Failing to install added

#13 Updated by Bug Clerk about 2 years ago

  • Status changed from In Progress to Ready for Testing
  • Target version changed from 11.2-BETA2 to 11.2-U2

#14 Updated by William Grzybowski about 2 years ago

  • Target version changed from 11.2-U2 to 11.2-BETA2

#15 Updated by Dru Lavigne about 2 years ago

  • Subject changed from iocage plugins bacula, irssi, weechat, and xmrig not downloading to Fix license error that prevented some plugins from installing
  • Needs Doc changed from Yes to No
  • Needs Merging changed from Yes to No

#16 Updated by Waqar Ahmed about 2 years ago

2 issues were identified in this ticket. First was related to accepting the plugin license before installing it. This PR provides a fix for that - https://github.com/freenas/freenas/pull/1585.

Second issue was that logging was broken when a level was specified which didn't exist before. This PR fixes that - https://github.com/freenas/freenas-pkgtools/pull/6

After these fixes, we still can't download plugins but that is different and related to 37870 and will be fixed in the mentioned ticket

#17 Updated by Bonnie Follweiler about 2 years ago

22932

Bacula installed but my console is getting the following "Fatal" message (screenshot provided)
All four look like they installed but clicking on the Management option, while they were running, for Bacula, irssi, weechat, and xmrig made me relog in

#18 Updated by Bonnie Follweiler about 2 years ago

  • Status changed from Failed Testing to Passed Testing

Test Passed in FreeNAS-11.2-MASTER-201807270859
(Build Date: Jul 27, 2018 12:10)
The other issues will be resolved in another ticket

#19 Updated by Dru Lavigne about 2 years ago

  • Has duplicate Bug #39892: Plugins install but don't start in FreeNAS-11.2-BETA1 added

#20 Updated by Dru Lavigne about 2 years ago

  • Status changed from Passed Testing to Done
  • Needs QA changed from Yes to No

Also available in: Atom PDF